Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class OldCache.InternalEvictionPolicy

`java.lang.Object
com.tangosol.net.cache.OldCache.InternalEvictionPolicy`

All Implemented Interfaces:
  ConfigurableCacheMap.EvictionPolicy, OldCache.EvictionPolicy

Enclosing class:
  OldCache

      public static class OldCache.InternalEvictionPolicy

extends java.lang.Object
implements OldCache.EvictionPolicy

The InternalEvictionPolicy represents a pluggable eviction policy for the non-pluggable built-in (internal) eviction policies supported by this cache implementation.

Method Summary
`void` | `entryTouched(ConfigurableCacheMap.Entry entry)` This method is called by the cache to indicate that an entry has been touched.
`int` | `getEvictionType()` Determine the OldCache eviction type represented by this InternalEvictionPolicy.
`java.lang.String` | `getName()` Obtain the name of the eviction policy.
`void` | `requestEviction(int cMaximum)` This method is called by the cache when the cache requires the eviction policy to evict entries.

Method Detail

### entryTouched

    public void entryTouched(ConfigurableCacheMap.Entry entry)

  This method is called by the cache to indicate that an entry has been touched.
  Specified by:
    `entryTouched` in interface `ConfigurableCacheMap.EvictionPolicy`
  Parameters:
    `entry` - the Cache Entry that has been touched

### requestEviction

    public void requestEviction(int cMaximum)

  This method is called by the cache when the cache requires the eviction policy to evict entries.
  Specified by:
    `requestEviction` in interface `ConfigurableCacheMap.EvictionPolicy`
  Parameters:
    `cMaximum` - the maximum number of units that should remain in the cache when the eviction is complete

### getName

    public java.lang.String getName()

  Obtain the name of the eviction policy. This is intended to be human readable for use in a monitoring tool; examples include "LRU" and "LFU".
  Specified by:
    `getName` in interface `ConfigurableCacheMap.EvictionPolicy`
  Returns:
    the name of the eviction policy

### getEvictionType

    public int getEvictionType()

  Determine the OldCache eviction type represented by this InternalEvictionPolicy.
  Returns:
    one of the EVICTION_POLICY_* constants

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.